Subject: Re: My ROCAF F-16s
From: "Steve Bamford" <[email-masked]>
To: "Henry" <[email-masked]>
Date: Thu, 6 Mar 2003 10:38:00 -0800

----- Original Message ----- 
  From: Henry 
  To: Steve Bamford 
  Sent: Wednesday, February 26, 2003 7:39 AM
  Subject: My ROCAF F-16s 

  Dear Steve,
  I've finished two models of the ROCAF F-16s. The 1/48th F-16A BLK20 is produced by Hasagawa, and the F-16B BLK20 by Italeri. Hope you might enjoy it. 
  Henry Hsiao in Taiwan

    ----- Original Message ----- 
    From: Steve Bamford 
    To: Henry 
    Sent: Friday, October 11, 2002 3:00 PM
    Subject: Re: Your AT-3 model is on ARC

    Thanks Henry....I've added the info to your article.  I look forward to seeing more of your models on ARC.

    Steve Bamford
    Aircraft Resource Center
    http://www.aircraftresourcecenter.com

    Live like there is no tomorrow;
    Love like you have never been hurt; and
    Dance like no one is watching!